apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "hdarapi.fullname" . }}-env-content-cm
data:
  # Swagger frontend executes externally. URL = IP:PORT
  SWAGGER_URL: {{ .Values.hdarapi.externalURL }} 
  SWAGGER_SCHEMA:  {{ .Values.hdarapi.schema }}
  SWAGGER_BASE_PATH: {{ .Values.hdarapi.basePath | quote }} 
  # We could access with internal IP but probably want to keep the User auth control. 
  REGISTRY_URL: {{ .Values.distribution.externalURL }}
  # Port in the server side
  SWAGGER_PORT: {{ .Values.hdarapi.inPort | quote }}
  LOGS_DISCARD: "False"
  LOG_LEVEL: "DEBUG"